> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/inputs/cloud-items-input.md).

# cloudItemsInput

Specifies input parameters for retrieving cloud security items with filtering and pagination.

### Examples

```graphql
input CloudItemsInput {
  limit: Int
  offset: Int
  scanId: String
  dateRange: DateRange
  filters: CloudItemsFilters
  filterSearch: [AutoCompleteSearch]
  owners: [String]
  tagIds: [String]
  search: String
  openItems: [FilterTypes]
  orderBy: CloudItemsOrderBy
  topOffset: Int
  scrollDirection: String
  cbomId: String
  cbomIds: [String]
}
```

### Fields

| Field                                                                                                                         | Description                                             | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit `Int`                                                                                                                   | Maximum number of items to return                       |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| offset `Int`                                                                                                                  | Number of items to skip for pagination                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| scanId `String`                                                                                                               | Specific scan identifier to retrieve cloud items from   |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| dateRange [`DateRange`](/api-documentation/api-reference/api--application/types/inputs/date-range.md)                         | Date range filter for the analysis                      | <p>from <code>Float</code><br>to <code>Float</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| filters [`CloudItemsFilters`](/api-documentation/api-reference/api--cloud-security/types/inputs/cloud-items-filters.md)       | Structured filters to apply to the cloud items search   | <p>apps <code>\[String]</code><br>service <code>\[String]</code><br>type <code>\[String]</code><br>cloudProvider <code>\[String]</code><br>assetName <code>\[String]</code><br>accountId <code>\[String]</code><br>region <code>\[String]</code><br>serviceCategory <code>\[String]</code><br>cluster <code>\[String]</code><br>severities <code>\[String]</code><br>isExposed <code>\[String]</code><br>reachability <code>\[String]</code><br>authentication <code>\[String]</code><br>verdict <code>\[String]</code><br>reachabilityResponseCode <code>\[String]</code><br>imageSource <code>\[String]</code><br>registryType <code>\[String]</code><br>registryName <code>\[String]</code><br>imageScanStatus <code>\[String]</code><br>artifactIds <code>\[String]</code></p> |
| filterSearch [`[AutoCompleteSearch]`](/api-documentation/api-reference/api--application/types/inputs/auto-complete-search.md) | Advanced search filters with autocomplete support       | <p>fieldName <code>String</code><br>value <code>\[String]</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| owners `[String]`                                                                                                             | Filter by application owners                            |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| tagIds `[String]`                                                                                                             | Filter by tag identifiers for role-based access control |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| search `String`                                                                                                               | Text search query to find specific cloud items          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| openItems [`[FilterTypes]`](/api-documentation/api-reference/api--application/types/enums/filter-types.md)                    | Filter for items that are currently open or active      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| orderBy [`CloudItemsOrderBy`](/api-documentation/api-reference/api--cloud-security/types/inputs/cloud-items-order-by.md)      | Sorting configuration for the results                   | <p>field <code>String</code><br>direction <a href="/pages/MShdjanlfhzp71ZokzYR"><code>Direction</code></a></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| topOffset `Int`                                                                                                               | Top offset for advanced pagination                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| scrollDirection `String`                                                                                                      | Direction for scrolling through results                 |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| cbomId `String`                                                                                                               | Cloud Bill of Materials identifier                      |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| cbomIds `[String]`                                                                                                            | Cloud Bill of Materials identifiers                     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

### References

#### Queries using this object:

* [\<?> getCloudItems.cloudItemsInput](/api-documentation/api-reference/api--cloud-security/queries/get-cloud-items.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/inputs/cloud-items-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
